// 扩展API加载完毕后调用onPlusReady回调函数
document.addEventListener('plusready', onPlusReady, false);
// 扩展API加载完毕，现在可以正常调用扩展API
function onPlusReady() {
	console.log('plusready');
	// alert('plusready');
}

window.client = {
	cameraRecord: videoCapture
}


function videoCapture() {
	var cmr = plus.camera.getCamera(2);
	var res = cmr.supportedVideoResolutions[0];
	var fmt = cmr.supportedVideoFormats[0];
	console.log('Resolution: ' + res + ', Format: ' + fmt);
	cmr.startVideoCapture(
		function(path) {	
			plus.io.resolveLocalFileSystemURL(
				path,
				function(entry) {
					entry.file(function(file) {
						var fileReader = new plus.io.FileReader();
						console.log('getFile:' + JSON.stringify(file));
						if (file.type == "video/mp4" || file.type == "video/mov") {
							fileReader.readAsDataURL( file );
							fileReader.onloadend = function(evt) {
								evt.target.result&&window.cameraRecordCallBack && window.cameraRecordCallBack(evt.target.result);
							}
						} else {
							alert("只能上传mp4或mov格式的视频文件")
						}
					});
				},
				function(e) {
					alert('Resolve file URL failed: ' + e.message);
				}
			);
		},
		function(error) {
			console.log( "Capture video failed: " + error.message );
		}, {
			resolution: res,
			format: fmt,
			videoMaximumDuration: 2
		}
	);
}


